Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/include/Parameters.h	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Network/Read_unit_to_Execution_unit/include/Parameters.h	(revision 88)
@@ -26,41 +26,47 @@
   {
     //-----[ fields ]------------------------------------------------------------
-  public : const uint32_t    _nb_read_unit           ;
-  public : const uint32_t    _nb_execute_unit        ;
-  public : const uint32_t    _nb_context             ;
-  public : const uint32_t    _nb_front_end           ;
-  public : const uint32_t    _nb_ooo_engine          ;
-  public : const uint32_t    _nb_packet              ;
-  public : const uint32_t    _size_general_data      ;
-  public : const uint32_t    _size_special_data      ;
-  public : const uint32_t    _nb_general_register    ;
-  public : const uint32_t    _nb_special_register    ;
-  public : const uint32_t    _size_store_queue       ;
-  public : const uint32_t    _size_load_queue        ;
-  public : const Tpriority_t _priority               ;
-  public :       bool     ** _table_routing          ; //[nb_read_unit][nb_execute_unit]
-  public :       bool     ** _table_execute_type     ; //[nb_execute_unit][nb_type]
-  public :       bool     ** _table_execute_thread   ; //[nb_execute_unit][nb_thread]
+  public : uint32_t    _nb_read_unit           ;
+  public : uint32_t  * _nb_read_unit_port      ;//[nb_read_unit]
+  public : uint32_t    _nb_execute_unit        ;
+  public : uint32_t  * _nb_execute_unit_port   ;//[nb_execute_unit]
+  public : uint32_t    _nb_context             ;
+  public : uint32_t    _nb_front_end           ;
+  public : uint32_t    _nb_ooo_engine          ;
+  public : uint32_t    _nb_packet              ;
+//public : uint32_t    _size_general_data      ;
+//public : uint32_t    _size_special_data      ;
+  public : uint32_t    _nb_general_register    ;
+  public : uint32_t    _nb_special_register    ;
+//public : uint32_t    _size_store_queue       ;
+//public : uint32_t    _size_load_queue        ;
+  public : Tpriority_t _priority               ;
+  public : bool    *** _table_routing          ; //[nb_read_unit][nb_execute_unit][nb_execute_unit_port]
+  public : bool     ** _table_execute_type     ; //[nb_execute_unit][nb_type]
+  public : bool     ** _table_execute_thread   ; //[nb_execute_unit][nb_thread]
 
-  public : const uint32_t    _size_context_id        ;
-  public : const uint32_t    _size_front_end_id      ;
-  public : const uint32_t    _size_ooo_engine_id     ;
-  public : const uint32_t    _size_packet_id         ;
-  public : const uint32_t    _size_general_register  ;
-  public : const uint32_t    _size_special_register  ;
+  public : uint32_t    _max_nb_read_unit_port  ;
+  public : uint32_t    _max_nb_execute_unit_port;
+//public : uint32_t    _size_context_id        ;
+//public : uint32_t    _size_front_end_id      ;
+//public : uint32_t    _size_ooo_engine_id     ;
+//public : uint32_t    _size_packet_id         ;
+//public : uint32_t    _size_general_register  ;
+//public : uint32_t    _size_special_register  ;
 
-  public : const bool        _have_port_context_id   ;
-  public : const bool        _have_port_front_end_id ;
-  public : const bool        _have_port_ooo_engine_id;
-  public : const bool        _have_port_packet_id    ;
-  public : const bool        _have_port_load_queue_ptr;
+//public : bool        _have_port_context_id   ;
+//public : bool        _have_port_front_end_id ;
+//public : bool        _have_port_ooo_engine_id;
+//public : bool        _have_port_packet_id    ;
+//public : bool        _have_port_load_queue_ptr;
 
-  public : const uint32_t    _nb_thread              ;
-  public :       uint32_t    _nb_load_store_unit     ;
-  public :       uint32_t    _nb_functionnal_unit    ;
+  public : uint32_t    _nb_thread              ;
+  public : uint32_t    _nb_load_store_unit     ;
+  public : uint32_t    _nb_functionnal_unit    ;
 
     //-----[ methods ]-----------------------------------------------------------
   public : Parameters  (uint32_t    nb_read_unit           ,
+			uint32_t  * nb_read_unit_port      ,
 			uint32_t    nb_execute_unit        ,
+			uint32_t  * nb_execute_unit_port   ,
 			uint32_t    nb_context             ,
 			uint32_t    nb_front_end           ,
@@ -74,9 +80,12 @@
 			uint32_t    size_load_queue        ,
 			Tpriority_t priority               ,
-			bool     ** table_routing          ,
+			bool    *** table_routing          ,
 			bool     ** table_execute_type     ,
-			bool     ** table_execute_thread   );
-  public : Parameters  (Parameters & param) ;
+			bool     ** table_execute_thread   ,
+                        bool        is_toplevel=false      );
+//   public : Parameters  (Parameters & param) ;
   public : ~Parameters () ;
+
+  public :        void            copy       (void);
 
   public :        Parameters_test msg_error  (void);
